Index: trunk/expressoAdmin1_2/templates/default/maillists_form.tpl
===================================================================
--- trunk/expressoAdmin1_2/templates/default/maillists_form.tpl	(revision 73)
+++ trunk/expressoAdmin1_2/templates/default/maillists_form.tpl	(revision 180)
@@ -12,4 +12,5 @@
 					<input type="hidden" name="manager_context" value="{manager_context}">
 					<input type="hidden" name="restrictionsOnEmailLists" value="{restrictionsOnEmailLists}">
+					<input type="hidden" name="defaultDomain" value="{defaultDomain}">
 
 					<tr>
@@ -23,13 +24,14 @@
 						<td width="25%" bgcolor="#DDDDDD">
 							{lang_search_organization}:<br>
-							<input type="text" id="organization_search" autocomplete="off" size=20 onKeyUp="javascript:search_organization(this.value);" onBlur="javascript:sinc_combos_org(context.value, ea_check_allUsers.checked);">
+							<input type="text" id="organization_search" autocomplete="off" size=20 onKeyUp="javascript:search_organization(this.value, 'ea_combo_org_info');" onBlur="javascript:sinc_combos_org(context.value, ea_check_allUsers.checked);">
 							<br>
 							{lang_maillist_organization}:<br>
-							<select id="ea_combo_org_info" name="context" onchange="javascript:sinc_combos_org(this.value, ea_check_allUsers.checked);">{combo_org}</select><br>
+							<select id="ea_combo_org_info" name="context" onchange="javascript:sinc_combos_org(this.value, ea_check_allUsers.checked);">{combo_manager_org}</select><br>
+							
 							{lang_maillist_uid}: <font color="blue">Ex: lista-celepar-rh</font>
-							<input name="uid" size="35" value="{uid}" autocomplete="off"><br>
+							<input id="ea_maillist_uid" name="uid" size="35" value="{uid}" autocomplete="off" onblur="javascript:emailSuggestion_maillist();"><br>
 							
 							{lang_maillist_mail}: <font color="blue">Ex: lista-celepar-rh@celepar.pr.gov.br</font>
-							<input name="mail" size="35" value="{mail}" autocomplete="off"><br>
+							<input id="ea_maillist_mail" name="mail" size="35" value="{mail}" autocomplete="off"><br>
 							
 							{lang_maillist_name}:<br>
@@ -40,5 +42,5 @@
 							
 							<b>{lang_maillist_users} (<font color=red>{user_count}</font>):</b><br>
-							<select id="ea_select_usersInMaillist" name="members[]" style="width:400px; height:200px" multiple size="13">{ea_select_usersInMaillist}</select>
+							<select id="ea_select_usersInMaillist" name="mailForwardingAddress[]" style="width:400px; height:200px" multiple size="13">{ea_select_usersInMaillist}</select>
 						</td>
 						
@@ -51,12 +53,15 @@
 						
 						<td valign="bottom" bgcolor="#DDDDDD">
-							Organizações:<br>
-							<select name="org_context" id="ea_combo_org_maillists" onchange="javascript:get_available_users(this.value, ea_check_allUsers.checked);">{combo_org}</select>
+							{lang_search_organization}:<br>
+							<input type="text" id="organization_search" autocomplete="off" size=20 onKeyUp="javascript:search_organization(this.value, 'ea_combo_org_maillists');" onBlur="javascript:get_available_users(org_context.value, ea_check_allUsers.checked);">
+							<br>
 							
+							{lang_organizations}:<br>
+							<select name="org_context" id="ea_combo_org_maillists" onchange="javascript:get_available_users(this.value, ea_check_allUsers.checked);">{combo_all_orgs}</select>
 							<br>
 							<input type="checkbox" name="ea_check_allUsers" id="ea_check_allUsers" onclick="javascript:get_available_users(org_context.value, this.checked);">{lang_all_users}.
 							<br><br>
 							
-							Procurar usuário:<br>
+							{lang_search_user}:<br>
 							<input id="ea_input_searchUser" size="35" autocomplete="off" onkeyup="javascript:optionFinderTimeout(this)"><br>
 							
Index: trunk/expressoAdmin1_2/templates/default/accounts_form.tpl
===================================================================
--- trunk/expressoAdmin1_2/templates/default/accounts_form.tpl	(revision 108)
+++ trunk/expressoAdmin1_2/templates/default/accounts_form.tpl	(revision 180)
@@ -90,6 +90,6 @@
 			<td rowspan="4" width="35%" style="display:{display_picture}">
 				<img align="center" src="{photo_bin}" id="ea_img_photo" border="0">
-				<input type="file" id="ea_input_photo" name="photo" {disabled} size=20><br>
-				<input type="checkbox" {disabled_delete_photo} {disabled} name="delete_photo" value="1">Deletar foto
+				<input type="file" id="ea_input_photo" name="photo" {disabled_edit_photo} size=20><br>
+				<input type="checkbox" {disabled_delete_photo} {disabled_edit_photo} name="delete_photo" value="1">Deletar foto
 			</td>
 		</tr>
Index: trunk/expressoAdmin1_2/templates/default/managers_form.tpl
===================================================================
--- trunk/expressoAdmin1_2/templates/default/managers_form.tpl	(revision 108)
+++ trunk/expressoAdmin1_2/templates/default/managers_form.tpl	(revision 180)
@@ -8,6 +8,5 @@
  	
  	<input type=hidden name="type" value="{type}">
-	<input type=hidden name="old_manager_lid" value="{old_manager_lid}">
-	<input type=hidden name="old_context" value="{old_context}">
+	<input type=hidden name="hidden_manager_lid" value="{hidden_manager_lid}">
 	<input type=hidden name="context">
     
@@ -17,5 +16,5 @@
 				<td colspan="2">
 				<input type="button" value="{lang_back}" onclick="javascript:location.href='index.php?menuaction=expressoAdmin1_2.uimanagers.list_managers'">
-				<input type="button" value="{lang_save}" onclick="javascript:validade_managers_data();">
+				<input type="button" value="{lang_save}" onclick="javascript:validade_managers_data('{type}');">
 				</td>
 			</tr>
@@ -26,22 +25,38 @@
 					</tr>				
 			    	<tr bgcolor="{color_font1}">
-			    		<td width="25%">{lang_manager_lid}:</td>
-						<td ><input type="text" name="manager_lid" value="{manager_lid}" size=30></input></td>
+			    		<td width="25%">{lang_search_for_manager}:</td>
+						<td>
+							<input type="text" id="manager_lid" {input_manager_lid_disabled} name="manager_lid" value="{manager_lid}" size=30 autocomplete="off" onkeyup="javascript:search_manager(this.value)"></input>
+							<font color="red"><span id="ea_span_searching_manager">&nbsp;</span></font>
+						</td>
+					</tr>
+					
+					<tr bgcolor="{color_font1}" style="display:{display_manager_select}">
+						<td width="25%">{lang_found_managers}:</td>
+						<td>
+							<select id="ea_select_managers" name="ea_select_manager" style="width: 400px" size="10">{ea_select_managers}</select>
+						</td>
 					</tr>
 				    <tr bgcolor="{color_font2}">
 						<td>{lang_context}:</td>
 						<td id="td_input_context">
-							<span style="cursor:pointer" onclick="javascript:add_input_context();"> +</span>
+							<select id="ea_select_contexts">{options_contexts}</select>
+							<span style="cursor:pointer" onclick="javascript:add_input_context();">+</span>
 							<br>
+							<span id="ea_spam_warn" style="color:red">&nbsp;</span>
 							{input_context_fields}
 						</td>
-			    	</tr>			    
+			    	</tr>
 					<tr bgcolor="{color_bg2}">
 						<td colspan="2"><b>Informações da ACL</b></td>
 					</tr>
 
-					<tr><td colspan="2"><table>
-								
+					<tr><td colspan="2">
+					
 					<!-- BEGIN ACL CONTROL -->
+					<table id="ea_table_acl">
+					    <tr bgcolor="{color_font2}">
+							<td width="20%"><input type="button" value="Selecionar todos os direitos" onclick="select_all_acls('ea_table_acl');"></td>
+					    </tr>
 					    <tr bgcolor="{color_font1}" align='right'>
 							<td width="20%">{lang_add_users}:</td>
@@ -139,10 +154,14 @@
 						</tr>
 						</table></td></tr>						
-					<!-- END ACL CONTROL -->						
+					<!-- END ACL CONTROL -->
+					
 					
 					<tr bgcolor="{color_bg2}">
 					  <td colspan="4"><b>Seleção de Aplicativos disponíveis para o Gerente.</b></td>
 					</tr>
-					<table border="0" width="100%">
+					<table id="ea_table_app">
+						<tr bgcolor="{color_font2}">
+							<td width="20%"><input type="button" value="Selecionar todos os aplicativos" onclick="select_all_acls('ea_table_app');"></td>
+					    </tr>
 						<tr>
 							{app_list}
@@ -151,5 +170,5 @@
 					<tr bgcolor={color_bg1} align="left">
 						<td>
-							<input type="button" value="{lang_save}" onclick="javascript:validade_managers_data();">
+							<input type="button" value="{lang_save}" onclick="javascript:validade_managers_data('{type}');">
 							<input type="button" value="{lang_back}" onclick="javascript:location.href='index.php?menuaction=expressoAdmin1_2.uimanagers.list_managers'">
 						</td>