Index: trunk/emailadmin/setup/setup.inc.php
===================================================================
--- trunk/emailadmin/setup/setup.inc.php	(revision 2)
+++ trunk/emailadmin/setup/setup.inc.php	(revision 187)
@@ -14,5 +14,5 @@
 	$setup_info['emailadmin']['name']      = 'emailadmin';
 	$setup_info['emailadmin']['title']     = 'EMailAdmin';
-	$setup_info['emailadmin']['version']   = '1.0.0';
+	$setup_info['emailadmin']['version']   = '1.0.1';
 	$setup_info['emailadmin']['app_order'] = 10;
 	$setup_info['emailadmin']['enable']    = 2;
Index: trunk/emailadmin/setup/tables_update.inc.php
===================================================================
--- trunk/emailadmin/setup/tables_update.inc.php	(revision 2)
+++ trunk/emailadmin/setup/tables_update.inc.php	(revision 187)
@@ -73,3 +73,15 @@
 		return $GLOBALS['setup_info']['emailadmin']['currentver'];
 	}
+
+   $test[] = '1.0.0';
+   function emailadmin_upgrade1_0_0()
+	{
+   	$GLOBALS['phpgw_setup']->oProc->AddColumn('phpgw_emailadmin','imapdefaulttrashfolder', array('type' => 'varchar', 'precision' => 20));
+	   $GLOBALS['phpgw_setup']->oProc->AddColumn('phpgw_emailadmin','imapdefaultsentfolder', array('type' => 'varchar', 'precision' => 20));
+	   $GLOBALS['phpgw_setup']->oProc->AddColumn('phpgw_emailadmin','imapdefaultdraftsfolder', array('type' => 'varchar', 'precision' => 20));
+	   $GLOBALS['phpgw_setup']->oProc->AddColumn('phpgw_emailadmin','imapdefaultspamfolder', array('type' => 'varchar', 'precision' => 20));
+      $GLOBALS['setup_info']['emailadmin']['currentver'] = '1.0.1';
+      return $GLOBALS['setup_info']['emailadmin']['currentver'];
+   }
+     
 ?>
Index: trunk/emailadmin/inc/class.ui.inc.php
===================================================================
--- trunk/emailadmin/inc/class.ui.inc.php	(revision 2)
+++ trunk/emailadmin/inc/class.ui.inc.php	(revision 187)
@@ -463,4 +463,9 @@
 			$this->t->set_var('lang_vmailmgr',lang('Virtual MAIL ManaGeR'));
 			$this->t->set_var('lang_pre_2001_c_client',lang('IMAP C-Client Version < 2001'));
+			$this->t->set_var('lang_default_folders', lang('Default Folders'));
+			$this->t->set_var('lang_trash_folder', lang('Trash Folder'));
+			$this->t->set_var('lang_sent_folder', lang('Sent Folder'));
+			$this->t->set_var('lang_drafts_folder', lang('Drafts Folder'));
+			$this->t->set_var('lang_spam_folder', lang('Spam Folder'));
 			# $this->t->set_var('',lang(''));
 			
Index: trunk/emailadmin/inc/class.bo.inc.php
===================================================================
--- trunk/emailadmin/inc/class.bo.inc.php	(revision 2)
+++ trunk/emailadmin/inc/class.bo.inc.php	(revision 187)
@@ -109,5 +109,9 @@
 						'imapEnableSieve',
 						'imapSieveServer',
-						'imapSievePort'
+						'imapSievePort',
+						'imapDefaultTrashFolder',
+						'imapDefaultSentFolder',
+						'imapDefaultDraftsFolder',
+						'imapDefaultSpamFolder'
 					),
 					'description'	=> lang('Cyrus IMAP Server'),
Index: trunk/emailadmin/templates/default/editprofile.tpl
===================================================================
--- trunk/emailadmin/templates/default/editprofile.tpl	(revision 2)
+++ trunk/emailadmin/templates/default/editprofile.tpl	(revision 187)
@@ -393,4 +393,46 @@
 				<td class="td_right"><input name="imapsettings[3][imapSievePort]" maxlength="5" size="5" value="{value_imapSievePort}"></td>
 			</tr>
+		</table>
+		<table>
+			<tr>
+				<td colspan="2">&nbsp;</td>
+			</tr>
+		</table>
+
+		<table width="88%" border="0" cellspacing="0" cellpading="1">
+		<tr class="th">
+			<td width="50%" class="td_left">
+				<b>{lang_default_folders}<b>
+			</td>
+			<td class="td_right">
+				&nbsp;
+			</td>
+		</tr>
+		<tr class="row_off">
+			<td class="td_left">{lang_trash_folder}:</td>
+			<td class="td_right">
+				<input name="imapsettings[3][imapDefaultTrashFolder]" size="40" value={value_imapDefaultTrashFolder}>
+			</td>
+		</tr>
+		<tr class="row_on">
+			<td class="td_left">{lang_sent_folder}:</td>
+			<td class="td_right">
+				<input name="imapsettings[3][imapDefaultSentFolder]" size="40" value={value_imapDefaultSentFolder}>
+			</td>
+		</tr>
+		<tr class="row_off">
+			<td class="td_left">{lang_drafts_folder}:</td>
+			<td class="td_right">
+				<input name="imapsettings[3][imapDefaultDraftsFolder]" size="40" value={value_imapDefaultDraftsFolder}>
+			</td>
+		</tr>
+		<tr class="row_on">
+			<td class="td_left">{lang_spam_folder}:</td>
+			<td class="td_right">
+				<input name="imapsettings[3][imapDefaultSpamFolder]" size="40" value={value_imapDefaultSpamFolder}>
+			</td>
+		</tr>
+
+
 		</table>
 	</div>