Index: trunk/help/templates/celepar/index.tpl
===================================================================
--- trunk/help/templates/celepar/index.tpl	(revision 193)
+++ trunk/help/templates/celepar/index.tpl	(revision 193)
@@ -0,0 +1,14 @@
+<html>
+<head>
+<title>{title_help}</title>
+<link rel='stylesheet' type='text/css' href='templates/{template_set}/css/index.css'/>
+</head>
+<body style="margin:0px;padding:0px;">
+<table width='100%'>
+<tr><td align='right' background="./templates/{template_set}/images/fundo_topo.jpg">
+<img src="./templates/{template_set}/images/topo.jpg" style="overflow:hidden;z-index:-1;">
+<p class='titulo' style="font-color:blue;text-align:center;position:absolute;top:20px;left:5px;z-index:0;">{lang_help}</p>
+</td></tr></table>
+<iframe frameborder='0' width='100%' height='410px' src="templates/{template_set}/{lang}/content.html"></iframe>
+</body>
+</html>
Index: trunk/help/templates/celepar/css/pngfix.css
===================================================================
--- trunk/help/templates/celepar/css/pngfix.css	(revision 193)
+++ trunk/help/templates/celepar/css/pngfix.css	(revision 193)
@@ -0,0 +1,29 @@
+@charset "utf-8";
+/* CSS Document */
+
+    /*
+    Alpha PNG support for IE
+    ------------------------------
+    Aviso, este cÃ³digo abaixo funciona apenas para visualizaÃ§Ã£o na tela. Quando este documento for impresso, o bug voltarÃ¡.
+    O Hack Abaixo faz o cÃ³digo rodar apenas no IE. Sendo que os outros browsers como, Firefox, Opera e Safari jÃ¡ tem a transparencia de PNG nativo.
+    \*/
+    * html img/**/ {
+ filter:expression(
+   this.alphaxLoaded ? "" :
+   (
+       this.src.substr(this.src.length-4)==".png"
+       ?
+       (
+     (!this.complete)
+     ? "" :
+         this.runtimeStyle.filter=
+         ("progid:DXImageTransform.Microsoft.AlphaImageLoader(src='"+this.src+"')")+
+         (this.onbeforeprint="this.runtimeStyle.filter='';this.src='"+this.src+"'").substr(0,0)+
+         String(this.alphaxLoaded=true).substr(0,0)+
+         (this.src="templates/celepar/images/blank.gif").substr(0,0)
+       )
+       :
+       this.runtimeStyle.filter=""
+   )
+     );
+    }
Index: trunk/help/templates/celepar/css/index.css
===================================================================
--- trunk/help/templates/celepar/css/index.css	(revision 193)
+++ trunk/help/templates/celepar/css/index.css	(revision 193)
@@ -0,0 +1,46 @@
+p.titulo
+    {font-size: 18.0pt;
+     font-family: "Verdana";
+     text-align: center;}
+p.item
+    {font-size: 16.0pt;
+     font-family: "Arial";
+     text-align: justify;}
+div.texto
+    {font-size: 9.0pt;
+     font-family: "Arial";
+     text-align: justify;
+     text-indent: 50;
+     margin: 10px;}
+table.texto
+    {font-size: 9.0pt;
+     font-family: "Arial";
+     text-align: justify;
+     text-indent: 0;
+     margin: 0px;
+     padding: 0px;
+     position: relative;
+     bottom: 15px;}
+table.links
+    {font-size: 8.0pt;
+     font-family: "Verdana";
+     text-align: center;
+     text-indent: 0;
+     margin: 10px;
+     border-spacing:5px;}
+p.back
+    {font-size: 10.0pt;
+     font-family: "Arial";
+     text-align: right;}
+a:link
+    {color:blue;
+    text-decoration:underline;
+    text-underline:single;}
+a:visited
+    {color:purple;
+    text-decoration:underline;
+    text-underline:single;}
+a.tabela
+    {color:black;
+    text-decoration:none;}
+
Index: trunk/help/templates/celepar/es-es/css/index.css
===================================================================
--- trunk/help/templates/celepar/es-es/css/index.css	(revision 193)
+++ trunk/help/templates/celepar/es-es/css/index.css	(revision 193)
@@ -0,0 +1,46 @@
+p.titulo
+    {font-size: 18.0pt;
+     font-family: "Verdana";
+     text-align: center;}
+p.item
+    {font-size: 16.0pt;
+     font-family: "Arial";
+     text-align: justify;}
+div.texto
+    {font-size: 9.0pt;
+     font-family: "Arial";
+     text-align: justify;
+     text-indent: 50;
+     margin: 10px;}
+table.texto
+    {font-size: 9.0pt;
+     font-family: "Arial";
+     text-align: justify;
+     text-indent: 0;
+     margin: 0px;
+     padding: 0px;
+     position: relative;
+     bottom: 15px;}
+table.links
+    {font-size: 8.0pt;
+     font-family: "Verdana";
+     text-align: center;
+     text-indent: 0;
+     margin: 10px;
+     border-spacing:5px;}
+p.back
+    {font-size: 10.0pt;
+     font-family: "Arial";
+     text-align: right;}
+a:link
+    {color:blue;
+    text-decoration:underline;
+    text-underline:single;}
+a:visited
+    {color:purple;
+    text-decoration:underline;
+    text-underline:single;}
+a.tabela
+    {color:black;
+    text-decoration:none;}
+
Index: trunk/help/templates/celepar/es-es/content.html
===================================================================
--- trunk/help/templates/celepar/es-es/content.html	(revision 193)
+++ trunk/help/templates/celepar/es-es/content.html	(revision 193)
@@ -0,0 +1,114 @@
+<html>
+<head>
+<title>Ajuda - Expresso Livre</title>
+<link rel='stylesheet' type='text/css' href='css/index.css'/>
+</head>
+<body>
+<a name='indice'>
+<br><div class='texto'>
+Esta ayuda aborda las funcionalidades básicas del Expresso<sup>Livre</sup> y está dividida conforme a las categorías abajo:
+</div></a>
+<br>
+<table border=0 width=95% class='links'>
+<tr>
+    <td align='center'><a href="#login" class='tabela'><img src="images/001_logoinicial.jpg" width=46 height=39><br>Pagina Inicial</td></a>
+    <td align='center'><a href="#expressomail" class='tabela'><img src="images/002_logoexpmail.jpg" width=46 height=39><br>ExpressoMail</td></a>
+    <td align='center'><a href="#calendario" class='tabela'><img src="images/003_logoagenda.jpg" width=46 height=39><br>Calendario</td></a>
+</tr>
+<tr valign='top'>
+    <td align='center'><a href="#catalogo" class='tabela'><img src="images/004_logocatalogo.jpg" width=46 height=39><br>Catálogo de direcciones</td></a>
+    <td align='center'><a href="#boletim" class='tabela'><img src="images/005_logoboletins.jpg" width=46 height=39><br>Comunicados Internos</td></a>
+    <td align='center'><a href="#logout" class='tabela'><img src="images/006_logologout.jpg" width=46 height=39><br>Desconectar</td></a>
+</tr>
+</table><br><br>
+<font face="Arial" size="2"><center><b><u>Manual de utilización</u></b></center></font>
+<div class='texto'><font face="Arial" size="2">En caso de que usted quiera copiar e imprimir el manual completo de utilización, haga clic <b><a href="../../../downloads/Manual_Usuario_Expresso-es.pdf">aqui</a></b> para hacer la descarga del archivo, en el formato PDF.</font></div><br>
+<br>
+<a name='login'>
+<p class='item'><img src='images/001_logoinicial.jpg'><sup><b>&nbsp;Pagina Inicial</b></sup></p>
+<div class='texto'>
+La página inicial es un tipo de resumen de su cuenta. Aparecerá en ella su agenda para la semana actual, los mensajes nuevos en su Bandeja de Entrada y las últimas informaciones de los Comunicados Internos. Por padrón, es la página que aparece cuando usted se conecta al Expresso. </div>
+<p class='back'><a href="#indice">Volver</a></p>
+
+<a name='expressomail'>
+<p class='item'><img src='images/002_logoexpmail.jpg'><sup><b>&nbsp;ExpressoMail</b></sup></p>
+<div class='texto'>
+<img align="bottom" src="../../../../expressoMail1_2/templates/default/images/menu/acroread.png"/><a style="font-size:12" title="Clique aqui!" href="../../../../expressoMail1_2/help/CartelaExpressoMail.pdf" target="_blank">Manual completo do ExpressoMail</a><p>
+<p>El ExpressoMail es el módulo de correo del Expresso. A travésde él usted puede acceder, administrar y manipular sus mensajes. Al entrar al módulo, es exhibida su Bandeja de Entrada, con el menú principal y el menú de carpetas a su izquierda. Las principales funcionalidades del módulo serán descriptas a continuación: 
+<ul style='text-indent:0'>
+<li>Al Abrir un mensaje o redactar un nuevo mensaje, será abierta una pestaña al lado de la Bandeja de Entrada. Esto permite que varios mensajes sea abiertos al mismo tiempo, simultáneamente a la redacción de un nuevo mensaje, por ejemplo.</li>
+<li>Para mover un mensaje de una carpeta a otra, basta seleccionarlo (haciendo clic en el cuadrado a la izquierda del mensaje), luego hacer clic sobre el misma y arrastrarlo hasta la carpeta deseada. Para mover varios mensajes al mismo tiempo, el procedimiento es el mismo.</li>
+<li>Al abrir un mensaje, apenas las opciones de utilización más usadas aparecen inmediatamente.<br>
+<img src='images/007_acoesmensagem.jpg'><br>
+ Para visualizar más opciones, haga clic en "Opciones" y aparecerá una nueva barra con más opciones y con el encabezado del mensaje.<br>
+<a href='#expressomail' onclick='javascript:window.open("images/008_opcoesmensagem.jpg","janela","width=803,height=141,resizable=no")' style='color:black'><img src='images/008_opcoesmensagem_tmb2.jpg'></a><br>
+Haga clic en la imagen para ampliarla.<br><br></li>
+
+<li>&nbsp;<table width=340 border=0 class='texto'>
+<tr valign='top'><td width=50%>
+Varias funcionalidades del ExpressoMail pueden ser vistas haciendo clic con el botón derecho sobre el mensaje:
+</td><td width=50%>
+<img src='images/009_botaodireito.jpg' width=193 height=143></td></tr>
+</table>
+</li>
+
+<li>Al redactar un nuevo mensaje, para obtener la dirección de la persona para la cual desea enviar el mensaje, una alternativa es digitar parte del nombre y presionar F9. Aparecerá la ventana abajo. Escoja el destinatario deseado.<br>
+<a href='#expressomail' onclick='javascript:window.open("images/010_contatos.jpg","janela","width=629,height=299,resizable=no")' style='color:black'><center><img src='images/010_contatos_tmb.jpg'></center></a>
+<center>Haga clic en la imagen para ampliarla.</center><br><br></li>
+
+<li>&nbsp;
+<table width=330 border=0 class='texto' style='text-indent:0'>
+<tr valign='top'><td width=50%>
+Otra posibilidad es hacer clic en el link <i>Buscar</i> y refinar la búsqueda por organización. </td><td width=50%>
+<a href='#expressomail' onclick='javascript:window.open("images/011_pesquisar.jpg","janela","width=523,height=418,resizable=no")' style='color:black'><img src='images/011_pesquisar_tmb.jpg'></a><br>Haga clic en la imagen para ampliarla.</td></tr></table></li>
+
+<li>&nbsp;
+<table width=350 border=0 class='texto' style='text-indent:0'>
+<tr valign='top'><td width=50%>
+El ExpressoMail posee además otros recursos, como edición de carpetas, creación de filtros, opciones de apariencia, limpieza automática de la Papelera, etc. Estos pueden ser accedidos a través del menú principal, a la izquierda de la pantalla. </td><td width=50%>
+<img src='images/012_menuprincipal.jpg'></td></tr>
+</table></li>
+</div>
+</ul>
+</div>
+<p class='back'><a href="#indice">Volver</a></p>
+
+<a name='calendario'>
+<p class='item'><img src='images/003_logoagenda.jpg'><sup><b>&nbsp;Calendario</b></sup></p>
+<div class='texto'>
+Este módulo dispone de una agenda de eventos para el usuario. Para crear un evento, haga clic sobre a fecha y hora de inicio del evento y complete el formulario. Es posible crear eventos personales y profesionales, invitar participantes de la red del gobierno o externos y hasta configurar una repetición del evento. Este módulo está totalmente integrado al módulo de correo, de manera que todos los participantes recibirán una invitación para el evento creado en sus cuentas. Del módulo de agenda, es posible acompañar la aceptación del evento por parte de los participantes. </div>
+<p class='back'><a href="#indice">Volver</a></p>
+
+<a name='catalogo'>
+<p class='item'><img src='images/004_logocatalogo.jpg'><sup><b>&nbsp;Catálogo de direcciones</b></sup></p>
+<div class='texto'>
+En el Catálogo de Direcciones es posible visualizar el catalogo general de usuarios y administrar su catálogo personal.
+<table width=390 border=0 class='texto' style='bottom:0px'>
+<tr><td width=50%>
+<img src='images/013_arvorecatalogo.jpg'>
+</td><td width=50%>
+En el menú de haga clic en Personal para visualizar a sus contactos personales. Haga clic en Grupos, para ver a los grupos que usted creó. Haga clic en Catalogo General para expandir el árbol con todas las organizaciones del estado. Haga clic en cualquier uno de los nombres para visualizar a los usuarios de aquella organización.
+</td></tr></table>
+Catálogo de Direcciones le permite además visualizar a los contactos en orden alfabética y filtrar por la inicial del contacto. Para eso haga clic en los botones A, B, C,... o en "Todos" para visualizar a todos los contactos. <br>
+<img src="images/014_opcoescatalogo.jpg" width=100%>
+Através del menú "Nuevo", haga clic en "Contacto" para agregar a alguien a su Catalogo Personal, en formulario completo o reducido o haga clic en "Grupo" para crear un grupo personal. Es posible exportar o importar una lista de contactos a través del botón Importar/Exportar. Haciendo clic además en "Ver Tarjetas", la lista de usuarios es substituida por tarjetas con foto y más informaciones de cada usuario. </div>
+<p class='back'><a href="#indice">Volver</a></p>
+
+<a name='boletim'>
+<p class='item'><img src='images/005_logoboletins.jpg'><sup><b>&nbsp;Comunicados Internos</b></sup></p>
+<div class='texto'>
+Este módulo trae los comunicados y noticias sobre el Expresso. Algunas dudas en la configuración y utilización del Expresso pueden ser sanadas usando esta herramienta. </div>
+<p class='back'><a href="#indice">Volver</a></p>
+
+
+<a name='logout'>
+<p class='item'><img src='images/006_logologout.jpg'><sup><b>&nbsp;Desconectar</b></sup></p>
+<div class='texto'>
+Haga clic en este botón para
+salir del Expresso.
+</div>
+<p class='back'><a href="#indice">Volver</a></p>
+
+
+</body>
+</html>