Index: trunk/help/setup/phpgw_zt.lang
===================================================================
--- trunk/help/setup/phpgw_zt.lang	(revision 194)
+++ trunk/help/setup/phpgw_zt.lang	(revision 194)
@@ -0,0 +1,7 @@
+%1 manual page(s) added or updated	manual	zt	æ°å¢ææŽæ°äº %1 é æå
+download	manual	zt	äžèŒ
+install or update the manual-pages	admin	zt	å®è£ææŽæ°äœ¿çšæå
+manual	common	zt	äœ¿çšæå
+page(s) %1 not found !!!	manual	zt	æŸäžå°é é¢ %1
+starting import from %1, this might take several minutes (specialy if you start it the first time) ...	manual	zt	éå§åŸ %1 å¯å
+¥ïŒä¹èš±éèŠå¹Ÿåéçæé(ç¹å¥æ¯æšç¬¬äžæ¬¡å·è¡æ)...
Index: trunk/help/setup/phpgw_fi.lang
===================================================================
--- trunk/help/setup/phpgw_fi.lang	(revision 194)
+++ trunk/help/setup/phpgw_fi.lang	(revision 194)
@@ -0,0 +1,6 @@
+%1 manual page(s) added or updated	manual	fi	%1 ohjesivu(a) lisätty tai päivitetty
+download	manual	fi	lataa koneellesi
+install or update the manual-pages	admin	fi	asenna tai päivitä ohjesivuja
+manual	common	fi	Käyttöohje / Ohje
+page(s) %1 not found !!!	manual	fi	Sivu(j)a %1 ei löydy !!!
+starting import from %1, this might take several minutes (specialy if you start it the first time) ...	manual	fi	Aloitetaan tuonti lähteestä %1, tämä saattaa viedä useita minuutteja (varsinkin jos tämä on ensimmäinen kerta) ...
Index: trunk/help/setup/phpgw_el.lang
===================================================================
--- trunk/help/setup/phpgw_el.lang	(revision 194)
+++ trunk/help/setup/phpgw_el.lang	(revision 194)
@@ -0,0 +1,1 @@
+manual	common	el	Åã÷åéñßäéï / ÂïÞèåéá
Index: trunk/help/setup/phpgw_cs.lang
===================================================================
--- trunk/help/setup/phpgw_cs.lang	(revision 194)
+++ trunk/help/setup/phpgw_cs.lang	(revision 194)
@@ -0,0 +1,1 @@
+manual	common	cs	Pøíruèka / Nápovìda
Index: trunk/help/setup/phpgw_fr.lang
===================================================================
--- trunk/help/setup/phpgw_fr.lang	(revision 194)
+++ trunk/help/setup/phpgw_fr.lang	(revision 194)
@@ -0,0 +1,6 @@
+%1 manual page(s) added or updated	manual	fr	%1 page(s) du manuel ajoutée(s) ou mise(s) à jour
+download	manual	fr	télécharger
+install or update the manual-pages	admin	fr	installer ou mettre à jour les pages du manuel
+manual	common	fr	Manuel / Aide
+page(s) %1 not found !!!	manual	fr	Page(s) %1 introuvable(s) !!!
+starting import from %1, this might take several minutes (specialy if you start it the first time) ...	manual	fr	Démarrage de l'importation depuis %1, ceci pourrait durer quelques minutes (spécialement si vous le faites pour la première fois) ...
Index: trunk/help/setup/setup.inc.php
===================================================================
--- trunk/help/setup/setup.inc.php	(revision 194)
+++ trunk/help/setup/setup.inc.php	(revision 194)
@@ -0,0 +1,30 @@
+<?php
+	/**************************************************************************\
+	* phpGroupWare - Online User Manual                                        *
+	* http://www.eGroupWare.org                                              *
+	* --------------------------------------------                             *
+	*  This program is free software; you can redistribute it and/or modify it *
+	*  under the terms of the GNU General Public License as published by the   *
+	*  Free Software Foundation; either version 2 of the License, or (at your  *
+	*  option) any later version.                                              *
+	\**************************************************************************/
+	
+	/* Basic information about this app */
+	$setup_info['help']['name']      = 'help';
+	$setup_info['help']['title']     = 'User Manual and Help Page';
+	$setup_info['help']['version']   = '1.0.0';
+	$setup_info['help']['app_order'] = 5;
+	$setup_info['help']['enable']    = 4;	// popup
+
+	$setup_info['help']['author']    = 'William Merlotto';
+	$setup_info['help']['maintainer'] = 'William Merlotto - Nilton Neto';
+	$setup_info['help']['maintainer_email'] = '';
+	$setup_info['help']['license']   = 'GPL';
+	$setup_info['help']['description'] ='The new Expresso Online User Manual uses the Wiki app.';
+
+	/* Dependencies for this app to work */
+	$setup_info['help']['depends'][] = array(
+		 'appname' => 'phpgwapi',
+		 'versions' => Array('0.9.14','1.0.0.007')
+	);
+?>
Index: trunk/help/setup/phpgw_hr.lang
===================================================================
--- trunk/help/setup/phpgw_hr.lang	(revision 194)
+++ trunk/help/setup/phpgw_hr.lang	(revision 194)
@@ -0,0 +1,6 @@
+%1 manual page(s) added or updated	manual	en	%1 manual page(s) added or updated
+download	manual	en	download
+install or update the manual-pages	admin	en	install or update the manual-pages
+manual	common	en	Manual / Help
+page(s) %1 not found !!!	manual	en	Page(s) %1 not found !!!
+starting import from %1, this might take several minutes (specialy if you start it the first time) ...	manual	en	Starting import from %1, this might take several minutes (specialy if you start it the first time) ...
Index: trunk/help/setup/phpgw_ko.lang
===================================================================
--- trunk/help/setup/phpgw_ko.lang	(revision 194)
+++ trunk/help/setup/phpgw_ko.lang	(revision 194)
@@ -0,0 +1,6 @@
+%1 manual page(s) added or updated	manual	ko	%1 žÞŽºŸó ÆäÀÌÁö°¡ Ãß°¡ ¶ÇŽÂ °»œÅµÇŸúœÀŽÏŽÙ.
+download	manual	ko	³»·Á¹Þ±â
+install or update the manual-pages	admin	ko	žÞŽºŸó-ÆäÀÌÁöÀÇ Œ³Ä¡ ¶ÇŽÂ °»œÅ
+manual	common	ko	µµ¿òž»
+page(s) %1 not found !!!	manual	ko	ÆäÀÌÁö %1 À» Ã£À»Œö ŸøœÀŽÏŽÙ!!!
+starting import from %1, this might take several minutes (specialy if you start it the first time) ...	manual	ko	%1Àž·Î ºÎÅÍ °¡Á®¿À±â œÃÀÛÇÕŽÏŽÙ, ÀÌ ÀÛŸ÷Àº žîºÐ °Éž±Œö ÀÖœÀŽÏŽÙ. (Æ¯È÷ °¡Àå Ã³Àœ¿¡ œÇÇàÇÏœÇ¶§)...
Index: trunk/help/setup/phpgw_nl.lang
===================================================================
--- trunk/help/setup/phpgw_nl.lang	(revision 194)
+++ trunk/help/setup/phpgw_nl.lang	(revision 194)
@@ -0,0 +1,1 @@
+manual	common	nl	Handleiding / Help
Index: trunk/help/setup/phpgw_pl.lang
===================================================================
--- trunk/help/setup/phpgw_pl.lang	(revision 194)
+++ trunk/help/setup/phpgw_pl.lang	(revision 194)
@@ -0,0 +1,1 @@
+manual	common	pl	Podrêcznik / Pomoc
Index: trunk/help/setup/phpgw_no.lang
===================================================================
--- trunk/help/setup/phpgw_no.lang	(revision 194)
+++ trunk/help/setup/phpgw_no.lang	(revision 194)
@@ -0,0 +1,1 @@
+manual	common	no	Manuell / Hjelp
Index: trunk/help/setup/phpgw_es-es.lang
===================================================================
--- trunk/help/setup/phpgw_es-es.lang	(revision 194)
+++ trunk/help/setup/phpgw_es-es.lang	(revision 194)
@@ -0,0 +1,1 @@
+manual	common	es-es	Manual / Ayuda
Index: trunk/help/setup/phpgw_it.lang
===================================================================
--- trunk/help/setup/phpgw_it.lang	(revision 194)
+++ trunk/help/setup/phpgw_it.lang	(revision 194)
@@ -0,0 +1,6 @@
+%1 manual page(s) added or updated	manual	it	%1 pagina(e) del manuale aggiunta(e) o aggiornata(e)
+download	manual	it	download
+install or update the manual-pages	admin	it	installa o aggiorna le pagine del manuale
+manual	common	it	Manuale / Aiuto
+page(s) %1 not found !!!	manual	it	Pagina(e) %1 non trovata(e) !!!
+starting import from %1, this might take several minutes (specialy if you start it the first time) ...	manual	it	Inizio l'importazione da %1, ciò può richiedere diversi minuti (specialmente se la fai partire per la prima volta) ...
Index: trunk/help/setup/phpgw_sl.lang
===================================================================
--- trunk/help/setup/phpgw_sl.lang	(revision 194)
+++ trunk/help/setup/phpgw_sl.lang	(revision 194)
@@ -0,0 +1,6 @@
+%1 manual page(s) added or updated	manual	sl	%1 strani priroÄnika je bilo dodanih ali obnovljenih.
+download	manual	sl	Prenesi
+install or update the manual-pages	admin	sl	Namestitev ali osveÅŸitev strani priroÄnika.
+manual	common	sl	PriroÄnik / PomoÄ
+page(s) %1 not found !!!	manual	sl	Ne najdem strani %1.
+starting import from %1, this might take several minutes (specialy if you start it the first time) ...	manual	sl	Uvoz iz %1 se je zaÄel. Traja lahko veÄ minut (Å¡e posebej, Äe uvoz izvajate prviÄ).
Index: trunk/help/setup/phpgw_uk.lang
===================================================================
--- trunk/help/setup/phpgw_uk.lang	(revision 194)
+++ trunk/help/setup/phpgw_uk.lang	(revision 194)
@@ -0,0 +1,1 @@
+manual	common	uk	ÐÑÑÑÐœÑ / ÐÐŸÐ²ÑÐŽÐºÐ°
Index: trunk/help/setup/phpgw_zh.lang
===================================================================
--- trunk/help/setup/phpgw_zh.lang	(revision 194)
+++ trunk/help/setup/phpgw_zh.lang	(revision 194)
@@ -0,0 +1,1 @@
+manual	common	zh	äœ¿çšæå / æŸç€ºæç€ºä¿¡æ¯
Index: trunk/help/setup/phpgw_pt.lang
===================================================================
--- trunk/help/setup/phpgw_pt.lang	(revision 194)
+++ trunk/help/setup/phpgw_pt.lang	(revision 194)
@@ -0,0 +1,1 @@
+manual	common	pt	Manual / Ajuda
Index: trunk/help/setup/phpgw_da.lang
===================================================================
--- trunk/help/setup/phpgw_da.lang	(revision 194)
+++ trunk/help/setup/phpgw_da.lang	(revision 194)
@@ -0,0 +1,1 @@
+manual	common	da	Manual / Hjælp
Index: trunk/help/setup/phpgw_pt-br.lang
===================================================================
--- trunk/help/setup/phpgw_pt-br.lang	(revision 194)
+++ trunk/help/setup/phpgw_pt-br.lang	(revision 194)
@@ -0,0 +1,6 @@
+%1 manual page(s) added or updated	manual	pt-br	%1 páginas do manual adicionada(s) ou atualizada(s)
+download	manual	pt-br	download
+install or update the manual-pages	admin	pt-br	Instalar ou atualizar páginas do manual
+manual	common	pt-br	Manual / Ajuda
+page(s) %1 not found !!!	manual	pt-br	Página %1 não encontrada !!!
+starting import from %1, this might take several minutes (specialy if you start it the first time) ...	manual	pt-br	Iniciando a importação de %1, pode levar alguns minutos (especialmente se você o executa pela primeira ves agora) ...
Index: trunk/help/setup/phpgw_ru.lang
===================================================================
--- trunk/help/setup/phpgw_ru.lang	(revision 194)
+++ trunk/help/setup/phpgw_ru.lang	(revision 194)
@@ -0,0 +1,6 @@
+%1 manual page(s) added or updated	manual	ru	%1 ÓÔÒÁÎÉÃ ÄÏÂÁ×ÌÅÎÏ ÉÌÉ ÏÂÎÏ×ÌÅÎÏ
+download	manual	ru	ÓËÁÞÁÔØ
+install or update the manual-pages	admin	ru	ÕÓÔÁÎÏ×ÉÌØ ÉÌÉ ÏÂÎÏ×ÉÔØ ÒÕËÏ×ÏÄÓÔ×Ï ÐÏÌØÚÏ×ÁÔÅÌÑ
+manual	common	ru	òÕËÏ×ÏÄÓÔ×Ï / ðÏÍÏÝØ
+page(s) %1 not found !!!	manual	ru	óÔÒÁÎÉÃÁ(Ù) ÎÅ ÎÁÊÄÅÎÁ(Ù)!!!
+starting import from %1, this might take several minutes (specialy if you start it the first time) ...	manual	ru	îÁÞÁÔÏ ÉÍÐÏÒÔÉÒÏ×ÁÎÉÅ Ó %1, ÜÔÏ ÍÏÖÅÔ ÚÁÎÑÔØ ËÁËÏÅ-ÔÏ ×ÒÅÍÑ (ÏÓÏÂÅÎÎÏ ÅÓÌÉ ×Ù ÄÅÌÁÅÔÅ ÜÔÏ ÐÅÒ×ÙÊ ÒÁÚ) ...
Index: trunk/help/setup/phpgw_es-ca.lang
===================================================================
--- trunk/help/setup/phpgw_es-ca.lang	(revision 194)
+++ trunk/help/setup/phpgw_es-ca.lang	(revision 194)
@@ -0,0 +1,1 @@
+manual	common	es-ca	Manual / Ajuda
Index: trunk/help/setup/phpgw_de.lang
===================================================================
--- trunk/help/setup/phpgw_de.lang	(revision 194)
+++ trunk/help/setup/phpgw_de.lang	(revision 194)
@@ -0,0 +1,6 @@
+%1 manual page(s) added or updated	manual	de	%1 Handbuchseite(n) zugefügt oder aktualisiert
+download	manual	de	Herunterladen
+install or update the manual-pages	admin	de	Installieren oder Aktualisieren der Handbuchseiten
+manual	common	de	Handbuch / Hilfe
+page(s) %1 not found !!!	manual	de	Seite(n) %1 nicht gefunden !!!
+starting import from %1, this might take several minutes (specialy if you start it the first time) ...	manual	de	Beginne Import von %1, das kann einige Minuten dauern (speziell wenn Sie es zum ersten Mal starten) ...
Index: trunk/help/setup/phpgw_sv.lang
===================================================================
--- trunk/help/setup/phpgw_sv.lang	(revision 194)
+++ trunk/help/setup/phpgw_sv.lang	(revision 194)
@@ -0,0 +1,6 @@
+%1 manual page(s) added or updated	manual	sv	%1 manual sidor tillagda eller uppdaterade
+download	manual	sv	Ladda ner
+install or update the manual-pages	admin	sv	Installera eller uppdatera manual sidor
+manual	common	sv	Manual
+page(s) %1 not found !!!	manual	sv	Kunde inte hitta sida %1
+starting import from %1, this might take several minutes (specialy if you start it the first time) ...	manual	sv	Påbörjar import från %1 vilket kan ta flera minuter.