Index: /trunk/contactcenter/setup/phpgw_es-es.lang
===================================================================
--- /trunk/contactcenter/setup/phpgw_es-es.lang	(revision 90)
+++ /trunk/contactcenter/setup/phpgw_es-es.lang	(revision 203)
@@ -1,99 +1,167 @@
+Add Participants	contactcenter	es-es	Agregar Participantes
+Add Relation	contactcenter	es-es	Agregue la Relación
+Address 1	contactcenter	es-es	Dirección 1
+Address 2	contactcenter	es-es	Dirección 2
+Addresses	contactcenter	es-es	Direcciones
+Address Other	contactcenter	es-es	Otra Dirección
+Alias	common	es-es	Apodo
+Alternative	contactcenter	es-es	Alternativa
+An error has occurred while the exportation.	contactcenter	es-es	Um error ocurrió durante la exportación
+Attributes	contactcenter	es-es	Cualidades
+Available	contactcenter	es-es	Disponible
+Birthdate	contactcenter	es-es	Nacimiento
+Browse	common	es-es	Buscar
+Cards View	contactcenter	es-es	Ver Tarjetas
+Cards Visualization Preferences	contactcenter	es-es	Preferencias de Vizualización de Tarjetas
+Catalogues	contactcenter	es-es	Catálogos
+Cellphone	contactcenter	es-es	Teléfono móvil
+Choose City	contactcenter	es-es	Elegir Ciudad
+Choose Country	contactcenter	es-es	Elegir País
+Choose 'E-mail' or 'Telephone'	contactcenter	es-es	Elija el ' E-mail ' o el ' teléfono '
+Choose Email Type...	contactcenter	es-es	Elija el tipo de e-mail
+Choose Prefix...	contactcenter	es-es	Elegir Prefijo
+Choose Sex ...	contactcenter	es-es	Elegir Sexo
+Choose State	contactcenter	es-es	Elegir Estado
+Choose Suffix...	contactcenter	es-es	Elegir Caracteristica
+Choose Telephone Type...	contactcenter	es-es	Elija el tipo del Teléfono...
+Choose Type of Address	contactcenter	es-es	Elegir Tipo de Dirección
+Choose Type of Connection	contactcenter	es-es	Elegir tipo de Conexión
+City	contactcenter	es-es	Ciudad
+Close	contactcenter	es-es	Cerrar
+Comercial	contactcenter	es-es	Comercial
+Complement	contactcenter	es-es	Complemento
+Confirm Removal of this Contact?	contactcenter	es-es	¿Confirma la eliminación de este Contacto?
+Confirm Removal of this Group?	contactcenter	es-es	¿Confirma la eliminación de este Contacto?
+Connection Name	contactcenter	es-es	Nombre de la Conexión
+Connections	contactcenter	es-es	Conexiones
+Connection Value	contactcenter	es-es	Valor de la Conexión
+Connector Setup	contactcenter	es-es	Configuración de la Conexión
+contactcenter	common	es-es	Catálogo de Direcciones
+Contact Center	common	es-es	Catálogo de Direcciones
+Contact [Full]	contactcenter	es-es	Contacto [Completo]
+Contact Group List	common	es-es	Lista de Grupos de Contactos
+Contacting Server...	contactcenter	es-es	Conectando al Servidor
+Contact [Quick Add]	contactcenter	es-es	Contacto [Añadir rápidamente]
+Contacts	common	es-es	Contactos
+Couldn't contact server or server response is invalid. Contact Admin.	contactcenter	es-es	No fue posible establecer conexión con el servidor. Entre en el Administrador del sistema
+Country	contactcenter	es-es	País
+Data to be serialized is of unknown type!	contactcenter	es-es	Información a ser serializada es de tipo desconocida
+Day	contactcenter	es-es	Día
+Default	contactcenter	pt-br	Estándar
+Default Person Email Type	contactcenter	es-es	Tipo standar de teléfono de la persona
+Default Person Telephone Type	contactcenter	es-es	Tipo standar de teléfono de la persona
+Display Connector Client-Server Status Information?	contactcenter	es-es	Exhibir Informaciones del Status de la Conexión Cliente-Servidor
+Edit Contact	contactcenter	es-es	Editar Contacto
+Edit Group	contactcenter	es-es	Editar Grupo
+E-mails and Telephones	contactcenter	es-es	E-mails y Teléfonos
+Empty	contactcenter	es-es	Vacío
+Entry added with success!	contactcenter	es-es	¡Contacto añadido con suceso!
+Export as Expresso (default) CSV.	contactcenter	es-es	Exportar como Expresso (standar) CSV
+Export as Mozilla Thunderbird CSV.	contactcenter	es-es	Exportar como Mozilla Thunderbird CSV.
+Export as Outlook 2000 (English) CSV.	contactcenter	es-es	Exportar como Outlook 2000 (Inglés) CSV.
+Export as Outlook 2000 (Portuguese) CSV.	contactcenter	es-es	Exportar com Outlook 2000 (Portugués) CSV
+Export as Outlook Expresso (English) CSV.	contactcenter	es-es	Exportar como Outlook Express (Inglés) CSV.
+Export as Outlook Express (Portuguese) CSV.	contactcenter	es-es	Exportar como Outook Express (Portugués) CSV.
+Export Contacts	contactcenter	es-es	Exportar Contactos
+Expresso (default)	contactcenter	es-es	Expresso (standar)
+Family Names	common	es-es	Apellido
+Fax	contactcenter	es-es	Fax
+Female	contactcenter	es-es	Femenino
+field is empty	contactcenter	es-es	Campo esta vacío
+Found %1 Entries	common	es-es	Encontrado %1 Resultado(s)
+Full Add	contactcenter	es-es	Agregue Completo
+Full Name	contactcenter	es-es	Nombre Completo
+Given Names	common	es-es	Nombre
+Go	common	es-es	Ir
+GPG Finger Print	contactcenter	es-es	Firma GPG
+Group Add	common	es-es	Añadir Grupo
+Home	contactcenter	es-es	Casa
+Import	contactcenter	es-es	Importar
+Import Contacts	contactcenter	es-es	Importar Contactos
+Import/Export	contactcenter	es-es	Importar/Exportar
+Import/Export	contactcenter	es-es	Importar/Exportar
+Import / Export Personal Contacts	contactcenter	es-es	Importar/Exportar Contactos Personales
+Importing contacts...	contactcenter	es-es	Importando Contactos...
+Insert a New Group	common	es-es	Incluir um Nuevo Grupo
+insert	common	es-es	Incluir
+Invalid Date	common	es-es	Fecha inválida
+Is Default?	contactcenter	es-es	¿Es Estándar?
+Is My	contactcenter	es-es	Es mío
+Main	contactcenter	es-es	Principal
+Male	contactcenter	es-es	Masculino
+Month	contactcenter	es-es	Mes
+Mozilla Thunderbird	contactcenter	es-es	Mozilla Thunderbird
+New City	contactcenter	es-es	Nueva Ciudad
+New...	contactcenter	es-es	Nuevo...
+New...	contactcenter	es-es	Nuevo...
+New	contactcenter	es-es	Nuevo
+New Email	contactcenter	pt-br	Nuevo Email
+New from same Company	contactcenter	es-es	Nuevo de la misma empresa
+New from the same Type	contactcenter	es-es	Nuevo del mismo tipo
+New State	contactcenter	es-es	Nuevo Estado
+New Telephone	contactcenter	es-es	Nuevo Teléfono
+No Cards	contactcenter	es-es	Ninguno
+No Cities found for this State.	contactcenter	es-es	Ninguna Ciudad encontrada para este Estado
+No City	contactcenter	es-es	Ninguna Ciudad
+No Entries Found!	contactcenter	es-es	¡Ningún resultado encontrado!
+No Room for Cards! Increase your browser area	contactcenter	es-es	¡Área muy pequeña para ser vista a modo de tarjetas! Aumente el área (ventana) de su navegador
+No Room for Cards! Increase your browser area.	contactcenter	es-es	Sin Espacio para las Tarjetas! Aumente el área de su navegador
+No State	contactcenter	es-es	Ningún Estado
 No States found for this Country.	contactcenter	es-es	Ningún Estado encontrado para este País
-New	contactcenter	es-es	Nuevo
-Male	contactcenter	es-es	Masculino
-New from same Company	contactcenter	es-es	Nuevo de la misma empresa
-New City	contactcenter	es-es	Nueva Ciudad
-Invalid Date	common	es-es	Fecha inválida
-Insert a New Group	common	es-es	Incluir um Nuevo Grupo
-Main	contactcenter	es-es	Principal
-Is Default?	contactcenter	es-es	¿Es Estándar?
-No Entries Found!	contactcenter	es-es	¡Ningún resultado encontrado!
-No City	contactcenter	es-es	Ninguna Ciudad
-No State	contactcenter	es-es	Ningún Estado
-No Room for Cards! Increase your browser area	contactcenter	es-es	¡Área muy pequeña para ser vista a modo de tarjetas! Aumente el área (ventana) de su navegador
-New State	contactcenter	es-es	Nuevo Estado
-New from the same Type	contactcenter	es-es	Nuevo del mismo tipo
-No Cities found for this State.	contactcenter	es-es	Ninguna Ciudad encontrada para este Estado
-No Cards	contactcenter	es-es	Ninguno
-Entry added with success!	contactcenter	es-es	¡Contacto añadido con suceso!
-Empty	contactcenter	es-es	Vacío
-Female	contactcenter	es-es	Femenino
-Family Names	common	es-es	Apellido
-Data to be serialized is of unknown type!	contactcenter	es-es	Información a ser serializada es de tipo desconocida
-Country	contactcenter	es-es	País
-Edit Group	contactcenter	es-es	Editar Grupo
-Edit Contact	contactcenter	es-es	Editar Contacto
-GPG Finger Print	contactcenter	es-es	Firma GPG
-Go	common	es-es	Ir
-insert	common	es-es	Incluir
-Group Add	common	es-es	Añadir Grupo
-Found %1 Entries	common	es-es	Encontrado %1 Resultado(s)
-field is empty	contactcenter	es-es	Campo esta vacío
-Given Names	common	es-es	Nombre
-Full Name	contactcenter	es-es	Nombre Completo
-Updated Successfully!	contactcenter	es-es	¡Actualizado con Suceso!
-Server Contacted. Waiting for response...	contactcenter	es-es	Servidor contactado. Esperando respuesta...
-Send Mail	common	es-es	Enviar e-mail
-Showing found entries	common	es-es	Mostrando items encontrados
-Sex	contactcenter	es-es	Sexo
-Search for Catalog Entries	contactcenter	es-es	Buscar Resultados en el Catálogo
-Reset	common	es-es	Limpiar
-Select Photo	contactcenter	es-es	Seleccionar Foto
-Search for...	common	es-es	Buscar por...
-Type of Address	contactcenter	es-es	Tipo de Dirección
-Type new state here	contactcenter	es-es	Teclee el nombre aquí
-Unavailable or empty Catalog	contactcenter	es-es	Catálogo vacío o no disponible
-Type of Connection	contactcenter	es-es	Tipo de Conexión
-Suffix	contactcenter	es-es	Caracteristica
-State	contactcenter	es-es	Estado
-Type new city here	contactcenter	es-es	Teclee el nombre aquí
+Operation Timed Out.	contactcenter	es-es	Tiempo de la operación agotada
+Option	contactcenter	es-es	Opción
+Outlook 2000	contactcenter	es-es	Outlook 2000
+Outlook Express	contactcenter	es-es	Outlook Express
+Pager	contactcenter	es-es	Paginador
+Participants	common	es-es	Participantes
+People	contactcenter	es-es	Privado
+Personal Contacts	common	es-es	Contactos Personales
+Personal Data	contactcenter	es-es	Datos Personales
+Phone	contactcenter	es-es	Teléfono
+PO Box	contactcenter	es-es	Caja Postal
+Postal Code	contactcenter	es-es	Casilla de Correo
+Prefix	contactcenter	es-es	Prefijo
 Problems on adding your Contact. The email "%1" already exists in: %2	common	es-es	No fue posible añadir. El e-mail "%1" ya existe en los siguentes contactos: %2
-PO Box	contactcenter	es-es	Caja Postal
-Phone	contactcenter	es-es	Teléfono
-Prefix	contactcenter	es-es	Prefijo
-Postal Code	contactcenter	es-es	Casilla de Correo
-Participants	common	es-es	Participantes
-Operation Timed Out.	contactcenter	es-es	Tiempo de la operación agotada
-Personal Contacts	common	es-es	Contactos Personales
-Table View	contactcenter	es-es	Mostrar Matriz
-Remove Group	contactcenter	es-es	Remover grupo
+Processing Information...	contactcenter	es-es	Procesando Informaciones..
+Quick Add	common	es-es	Añadir Rápidamente
+Relations	contactcenter	es-es	Relaciones
+Remove	common	es-es	Remover
 Remove Contact	contactcenter	es-es	Remover Contacto
 Removed Entry!	common	es-es	¡Contacto removido com suceso (ID = %1)!
-Quick Add	common	es-es	Añadir Rápidamente
-Processing Information...	contactcenter	es-es	Procesando Informaciones..
 Removed Entry ID %1!	common	es-es	¡Contacto removido com suceso (ID = %1)!
-People	contactcenter	es-es	Privado
-Remove	common	es-es	Remover
-Choose Type of Connection	contactcenter	es-es	Elegir tipo de Conexión
-Choose Country	contactcenter	es-es	Elegir País
-Connection Name	contactcenter	es-es	Nombre de la Conexión
-Contact [Quick Add]	contactcenter	es-es	Contacto [Añadir rápidamente]
-Alias	common	es-es	Apodo
-Choose Type of Address	contactcenter	es-es	Elegir Tipo de Dirección
-Contact Group List	common	es-es	Lista de Grupos de Contactos
-Contact Center	common	es-es	Catálogo de Direcciones
-Addresses	contactcenter	es-es	Direcciones
-Connection Value	contactcenter	es-es	Valor de la Conexión
-Connections	contactcenter	es-es	Conexiones
-City	contactcenter	es-es	Ciudad
-Birthdate	contactcenter	es-es	Nacimiento
-Choose City	contactcenter	es-es	Elegir Ciudad
-Complement	contactcenter	es-es	Complemento
-Browse	common	es-es	Buscar
-Available	contactcenter	es-es	Disponible
-Contacting Server...	contactcenter	es-es	Conectando al Servidor
-Choose Sex ...	contactcenter	es-es	Elegir Sexo
-Contacts	common	es-es	Contactos
-Address 2	contactcenter	es-es	Dirección 2
-Cards View	contactcenter	es-es	Ver Tarjetas
-Confirm Removal of this Contact?	contactcenter	es-es	¿Confirma la eliminación de este Contacto?
-Couldn't contact server or server response is invalid. Contact Admin.	contactcenter	es-es	No fue posible establecer conexión con el servidor. Entre en el Administrador del sistema
-Choose State	contactcenter	es-es	Elegir Estado
-Address 1	contactcenter	es-es	Dirección 1
-Address Other	contactcenter	es-es	Otra Dirección
-Choose Prefix...	contactcenter	es-es	Elegir Prefijo
-Catalogues	contactcenter	es-es	Catálogos
-Contact [Full]	contactcenter	es-es	Contacto [Completo]
-Confirm Removal of this Group?	contactcenter	es-es	¿Confirma la eliminación de este Contacto?
-Choose Suffix...	contactcenter	es-es	Elegir Caracteristica
-contactcenter	common	es-es	Catálogo de Direcciones
+Remove Group	contactcenter	es-es	Remover grupo
+Remove Selected Relations	contactcenter	es-es	Quite Las Relaciones Seleccionadas
+Reset	common	es-es	Limpiar
+Results	contactcenter	es-es	Resultados
+Search for Catalog Entries	contactcenter	es-es	Buscar Resultados en el Catálogo
+Search for...	common	es-es	Buscar por...
+Sector	contactcenter	es-es	Sector
+Select a valid CSV file to import your contacts	contactcenter	es-es	Seleccione um archivo CSV valido para importar sus contactos
+Select E-Mail	contactcenter	es-es	Seleccione el E-mail
+Select Photo	contactcenter	es-es	Seleccionar Foto
+Select the file that contains the contacts to be imported:	contactcenter	es-es	Seleccione el archivo que contiene los contactos a ser importados
+Select the file type	contactcenter	es-es	Seleccione el tipo del archivo
+Select the format type that you want to export your contacts	contactcenter	es-es	Seleccione el tipo de formato que le gustaria utilizar para exportar sus contactos
+Select the telephone	contactcenter	es-es	Seleccione el teléfono
+Send Mail	common	es-es	Enviar e-mail
+Server Contacted. Waiting for response...	contactcenter	es-es	Servidor contactado. Esperando respuesta...
+Sex	contactcenter	es-es	Sexo
+Showing found entries	common	es-es	Mostrando items encontrados
+State	contactcenter	es-es	Estado
+Suffix	contactcenter	es-es	Caracteristica
+Table View	contactcenter	es-es	Mostrar Matriz
+Telephone	contactcenter	es-es	Teléfono
+The Expresso supports the contacts importation in the CSV file format.	contactcenter	es-es	El Expresso soporta la importación de contactos en archivos de formato CVS 
+The importation has failed. Verify the file format.	contactcenter	es-es	La importación há fallado. Verifique el formato del archivo
+The importation has finished.	contactcenter	es-es	La importación ha acabado.
+Type new city here	contactcenter	es-es	Teclee el nombre aquí
+Type new state here	contactcenter	es-es	Teclee el nombre aquí
+Type of Address	contactcenter	es-es	Tipo de Dirección
+Type of Connection	contactcenter	es-es	Tipo de Conexión
+Unavailable or empty Catalog	contactcenter	es-es	Catálogo vacío o no disponible
+Updated Successfully!	contactcenter	es-es	¡Actualizado con Suceso!
+Users List	contactcenter	es-es	Lista de Usuarios
+Value	contactcenter	es-es	Valor
+Views	contactcenter	es-es	Vistas
+Work	contactcenter	pt-br	Trabajo
+Year	contactcenter	es-es	Año
Index: /trunk/contactcenter/setup/tables_update.inc.php
===================================================================
--- /trunk/contactcenter/setup/tables_update.inc.php	(revision 56)
+++ /trunk/contactcenter/setup/tables_update.inc.php	(revision 203)
@@ -67,3 +67,13 @@
 		return $GLOBALS['setup_info']['contactcenter']['currentver'];
 	}
+	$test[] = '1.15';
+	function contactcenter_upgrade1_15() {
+		$GLOBALS['phpgw_setup']->db->query("ALTER TABLE phpgw_cc_contact ADD COLUMN last_status char(1) DEFAULT 'N'::bpchar");
+		$GLOBALS['phpgw_setup']->db->query("ALTER TABLE phpgw_cc_contact ADD COLUMN last_update int8 DEFAULT (date_part('epoch'::text, ('now'::text)::timestamp(3) with time zone) * (1000)::double precision)");
+		$GLOBALS['phpgw_setup']->db->query("ALTER TABLE phpgw_cc_contact ADD COLUMN category character varying(20)");
+
+		$GLOBALS['setup_info']['contactcenter']['currentver'] = '1.20';
+		return $GLOBALS['setup_info']['contactcenter']['currentver'];
+	}
+
 ?>
Index: /trunk/contactcenter/setup/setup.inc.php
===================================================================
--- /trunk/contactcenter/setup/setup.inc.php	(revision 56)
+++ /trunk/contactcenter/setup/setup.inc.php	(revision 203)
@@ -17,5 +17,5 @@
 	$setup_info['contactcenter']['name']      = 'contactcenter';
 	$setup_info['contactcenter']['title']     = 'ContactCenter';
-	$setup_info['contactcenter']['version']   = '1.15';
+	$setup_info['contactcenter']['version']   = '1.20';
 	$setup_info['contactcenter']['app_order'] = 4;
 	$setup_info['contactcenter']['enable']    = 1;
Index: /trunk/contactcenter/inc/class.so_contact.inc.php
===================================================================
--- /trunk/contactcenter/inc/class.so_contact.inc.php	(revision 2)
+++ /trunk/contactcenter/inc/class.so_contact.inc.php	(revision 203)
@@ -110,4 +110,14 @@
 				'is_global'		=> array(
 					'name'		=> 'is_global',
+					'type'		=> false,
+					'state'		=> 'empty',
+					'value'		=> false),
+				'last_status'		=> array(
+					'name'		=> 'last_status',
+					'type'		=> false,
+					'state'		=> 'empty',
+					'value'		=> false),
+				'last_update'		=> array(
+					'name'		=> 'last_update',
 					'type'		=> false,
 					'state'		=> 'empty',
Index: /trunk/contactcenter/inc/class.bo_people_catalog.inc.php
===================================================================
--- /trunk/contactcenter/inc/class.bo_people_catalog.inc.php	(revision 2)
+++ /trunk/contactcenter/inc/class.bo_people_catalog.inc.php	(revision 203)
@@ -1417,4 +1417,6 @@
 			if ($altered)
 			{
+				$contact->set_field("last_status", 'U');
+				$contact->set_field("last_update",time()."000");
 				return $contact->commit();
 			}
Index: /trunk/contactcenter/inc/class.ui_api.inc.php
===================================================================
--- /trunk/contactcenter/inc/class.ui_api.inc.php	(revision 118)
+++ /trunk/contactcenter/inc/class.ui_api.inc.php	(revision 203)
@@ -34,6 +34,7 @@
 			}
 			
-			$template_dir = PHPGW_SERVER_ROOT . '/contactcenter/templates/default/';
-			$template = CreateObject('phpgwapi.Template',$template_dir);
+			//$template_dir = PHPGW_SERVER_ROOT . '/contactcenter/templates/default/';
+			//$template = CreateObject('phpgwapi.Template',$template_dir);
+			$template = CreateObject('phpgwapi.Template',PHPGW_APP_TPL);
 
 			$template->set_file(array('api' => 'api_common.tpl'));