Index: /trunk/expressoMail1_2/setup/phpgw_es-es.lang
===================================================================
--- /trunk/expressoMail1_2/setup/phpgw_es-es.lang	(revision 215)
+++ /trunk/expressoMail1_2/setup/phpgw_es-es.lang	(revision 231)
@@ -13,6 +13,5 @@
 all	expressoMail1_2	es-es	Todas
 Also check message against next rule	expressoMail1_2	es-es	Verificar mensaje contra próxima regla también
-Answered	expressoMail1_2	es-es	Respondida
-Answereds	expressoMail1_2	es-es	Respondidas
+Answered	expressoMail1_2	es-es	Respondidas
 A read confirmation was sent.	expressoMail1_2	es-es	Una confirmación de lectura fue enviada.
 At %1, %2 hours, %3 wrote:	expressoMail1_2	pt-br	En %1 las %2 horas, %3 escribió:
@@ -123,6 +122,5 @@
 hours ago	expressoMail1_2	es-es	horas atrás
 Imap Folders Properties	admin	es-es	Características de las Carpetas del Imap
-Important	expressoMail1_2	es-es	Importante
-Importants	expressoMail1_2	es-es	Importantes
+Important	expressoMail1_2	es-es	Importantes
 In all the folders	expressoMail1_2	es-es	En todas las carpetas
 Inbox	expressoMail1_2	es-es	Bandeja de Entrada
@@ -257,6 +255,5 @@
 Search user	expressoMail1_2	es-es	Buscar usuarios
 Sector	expressoMail1_2	es-es	Sector
-Seen	expressoMail1_2	es-es	Leída
-Seens	expressoMail1_2	es-es	Leídas
+Seen	expressoMail1_2	es-es	Leídas
 Select a folder:	expressoMail1_2	es-es	Seleccione una carpeta:
 Select a folder!	expressoMail1_2	es-es	Seleccione una carpeta!
@@ -329,6 +326,5 @@
 underline	expressoMail1_2	es-es	Subrayado
 Undo	expressoMail1_2	es-es	Deshacer
-Unseen	expressoMail1_2	es-es	No leída
-Unseens	expressoMail1_2	es-es	No leídas
+Unseen	expressoMail1_2	es-es	No leídas
 Use F9 Key as shortcut.	expressoMail1_2	es-es	Use la tecla F9 como atajo.
 User connected	instant_messenger	es-es	Esta conectado
Index: /trunk/expressoMail1_2/js/draw_api.js
===================================================================
--- /trunk/expressoMail1_2/js/draw_api.js	(revision 220)
+++ /trunk/expressoMail1_2/js/draw_api.js	(revision 231)
@@ -2107,8 +2107,8 @@
    		 get_lang("List")+': '+
    	'<span id="span_flag_SORTARRIVAL" style="'+(search_box_type == 'ALL' ? 'font-weight:bold;text-decoration:underline' : '')+'" title="'+get_lang("All")+'" class="message_options" onclick="if(\'ALL\' == \''+search_box_type+'\') return false;sort_box(\'ALL\',\''+sort_box_type+'\')">'+get_lang("All")+'</span>, '+
-   	'<span id="span_flag_UNSEEN" style="'+(search_box_type == 'UNSEEN' ? 'font-weight:bold;text-decoration:underline' : '')+'" title="'+get_lang("Unseen")+'" class="message_options" onclick="if(\'UNSEEN\' == \''+search_box_type+'\') return false;sort_box(\'UNSEEN\',\''+sort_box_type+'\')">'+get_lang("Unseens")+'</span>, '+
-  	'<span id="span_flag_SEEN" style="'+(search_box_type == 'SEEN' ? 'font-weight:bold;text-decoration:underline' : '')+'" title="'+get_lang("Seen")+'" class="message_options" onclick="if(\'SEEN\' == \''+search_box_type+'\') return false;sort_box(\'SEEN\',\''+sort_box_type+'\')">'+get_lang("Seens")+'</span>, '+
-   	'<span id="span_flag_ANSWERED" style="'+(search_box_type == 'ANSWERED' ? 'font-weight:bold;text-decoration:underline' : '')+'" title="'+get_lang("Answered")+'" class="message_options" onclick="if(\'ANSWERED\' == \''+search_box_type+'\') return false;sort_box(\'ANSWERED\',\''+sort_box_type+'\')">'+get_lang("Answereds")+'</span>, '+
-   	'<span id="span_flag_FLAGGED" style="'+(search_box_type == 'FLAGGED' ? 'font-weight:bold;text-decoration:underline' : '')+'" title="'+get_lang("Important")+'" class="message_options" onclick="if(\'FLAGGED\' == \''+search_box_type+'\') return false;sort_box(\'FLAGGED\',\''+sort_box_type+'\')">'+get_lang("Importants")+'</span>&nbsp;&nbsp;';
+   	'<span id="span_flag_UNSEEN" style="'+(search_box_type == 'UNSEEN' ? 'font-weight:bold;text-decoration:underline' : '')+'" title="'+get_lang("Unseen")+'" class="message_options" onclick="if(\'UNSEEN\' == \''+search_box_type+'\') return false;sort_box(\'UNSEEN\',\''+sort_box_type+'\')">'+get_lang("Unseen")+'</span>, '+
+  	'<span id="span_flag_SEEN" style="'+(search_box_type == 'SEEN' ? 'font-weight:bold;text-decoration:underline' : '')+'" title="'+get_lang("Seen")+'" class="message_options" onclick="if(\'SEEN\' == \''+search_box_type+'\') return false;sort_box(\'SEEN\',\''+sort_box_type+'\')">'+get_lang("Seen")+'</span>, '+
+   	'<span id="span_flag_ANSWERED" style="'+(search_box_type == 'ANSWERED' ? 'font-weight:bold;text-decoration:underline' : '')+'" title="'+get_lang("Answered")+'" class="message_options" onclick="if(\'ANSWERED\' == \''+search_box_type+'\') return false;sort_box(\'ANSWERED\',\''+sort_box_type+'\')">'+get_lang("Answered")+'</span>, '+
+   	'<span id="span_flag_FLAGGED" style="'+(search_box_type == 'FLAGGED' ? 'font-weight:bold;text-decoration:underline' : '')+'" title="'+get_lang("Important")+'" class="message_options" onclick="if(\'FLAGGED\' == \''+search_box_type+'\') return false;sort_box(\'FLAGGED\',\''+sort_box_type+'\')">'+get_lang("Important")+'</span>&nbsp;&nbsp;';
 	draw_paging(num_msgs);
 	Element("tot_m").innerHTML = num_msgs;	